/**************************************************************************
 * Source Id :
 *
 * $Id: version.h,v 1.2 2001/04/19 21:13:25 georgetasker Exp $
 *-------------------------------------------------------------------------
 * Project Notes :
 *
 *  Diamond Base
 *  ============
 *      A solid database implementation, spurred on by the continuing
 *  Metal (Lead) Base saga.
 *
 *  Project Team :
 *        A. Davison
 *        K. Lentin
 *        D. Platt
 *
 *	Project Commenced : 05-02-1993
 *
 *-------------------------------------------------------------------------
 *  Module Notes :
 *  The current version details.
 *
 *  Original Author : Krazy Kev (well, I wouldn't call it Authoring here!)
 *
 **************************************************************************/

#ifndef __DB_VERSION_H__
#define __DB_VERSION_H__

const int VERSION_MAJOR = 0;
const int VERSION_MINOR = 3;
const int PATCH_LEVEL = 3;
const char* PATCH_STATUS = "(beta)";
const char* RELEASE_DATE = "95/04/11";

#endif

///////////////////////////////////////////////////////////////////////////
// $Log: version.h,v $
// Revision 1.2  2001/04/19 21:13:25  georgetasker
// cygwin compilation fixes
//
// Revision 1.1  2001/04/03 20:10:26  aleksandras
// big one 3.1 (comments later)
//
// Revision 1.8  1995/04/11  01:42:53  kevinl
// Changed for 0.33
//
// Revision 1.7  1995/03/09  00:42:41  kevinl
// Helped some more
//
// Revision 1.6  1995/03/09  00:39:19  darrenp
// Helped the version numbers catch up :(
//
// Revision 1.5  1994/02/03  05:54:19  kevinl
// Moved include files to diamond/ and fixed HAVE_MALLOC_H
//
// Revision 1.4  1993/11/05  12:46:26  kevinl
// yet another
//
// Revision 1.3  1993/09/06  13:35:57  kevinl
// A new version. What else?
//
// Revision 1.2  1993/07/11  13:12:58  kevinl
// 0.1.3 released
//
// Revision 1.1  1993/05/11  15:15:54  kevinl
// Initial revision
///////////////////////////////////////////////////////////////////////////
