/////////////////////////////////////////////////////////////////////////////
// Name:        No names yet.
// Purpose:     Contrib. demo
// Author:      Aleksandras Gluchovas
// Modified by:
// Created:     
// RCS-ID:      $Id: XCreationEditor.h,v 1.3 2001/06/23 22:18:56 hansvl Exp $
// Copyright:   (c) Aleksandras Gluchovas
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#ifndef __XCREATIONEDITOR_G__
#define __XCREATIONEDITOR_G__

#ifdef __GNUG__
    #pragma interface "XCreationEditor.h"
#endif

#include "XObject.h"

class XCreationEditor : public XEditor
{
public:
	void Init( XCollection* pScene, XObject* pObject );

	~XCreationEditor();

	virtual bool OnMouseDown( const XPoint& pos );
	virtual bool OnRightClick( const XPoint& pos );

	virtual bool OnMouseMove( const XPoint& pos );

	void CancelCreation();

protected:

	XObject* mpObject;
	XEditor* mpPrevEditor;

	void DetachFromScene();
};


#endif /* __XCREATIONEDITOR_G__ */

