/////////////////////////////////////////////////////////////////////////////
// Name:        xh_dlg.h
// Purpose:     XML resource handler for dialogs with Matrix-Layout enhancer
// Author:      Aleksandras Gluchovas
// Created:     2000/03/05
// RCS-ID:      $Id: xh_mtx_frame.h,v 1.3 2001/08/12 13:39:13 georgetasker Exp $
// Copyright:   (c) 2000 Aleksandras Gluchovas
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#ifndef _WX_XH_MTX_FRAME_H_
#define _WX_XH_MTX_FRAME_H_

#ifdef __GNUG__
    #pragma interface "xh_mtx_frame.h"
#endif

#include "wx/xrc/xmlres.h"
#include "wx/xrc/xh_frame.h"

class WXDLLEXPORT wxMtxFrameXmlHandler : public wxFrameXmlHandler
{
    public:
        wxMtxFrameXmlHandler();
        virtual wxObject *DoCreateResource();
        virtual bool CanHandle(wxXmlNode *node);
};


#endif /* _WX_XH_MTX_FRAME_H_ */

