/////////////////////////////////////////////////////////////////////////////
// Name:        minimal.cpp
// Purpose:     Minimal wxWindows sample
// Author:      Julian Smart
// Modified by:
// Created:     04/01/98
// RCS-ID:      $Id: demo.cpp,v 1.2 2001/08/12 13:39:13 georgetasker Exp $
// Copyright:   (c) Julian Smart
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

// ============================================================================
// declarations
// ============================================================================

// ----------------------------------------------------------------------------
// headers
// ----------------------------------------------------------------------------
#ifdef __GNUG__
    #pragma implementation "minimal.cpp"
    #pragma interface "minimal.cpp"
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include "demo.h"
#include "wx/wspp/init.h"

// ----------------------------------------------------------------------------
// resources
// ----------------------------------------------------------------------------
// the application icon
#if defined(__WXGTK__) || defined(__WXMOTIF__)
    #include "mondrian.xpm"
#endif

#include "wx/xrc/xmlres.h"
#include "wx/window.h"

IMPLEMENT_APP(MyApp)

// ----------------------------------------------------------------------------
// the application class
// ----------------------------------------------------------------------------

bool MyApp::OnInit()
{
	/***** debug ******/
	#if 1
		wxFrame* mpLogFrm = new wxFrame( NULL,-1,"Log", wxDefaultPosition, wxSize(500,200) );
		wxTextCtrl *textCtrl = new wxTextCtrl(mpLogFrm, -1, "",wxDefaultPosition,wxDefaultSize, wxTE_MULTILINE | wxSUNKEN_BORDER);
		wxLogTextCtrl *logWindow = new wxLogTextCtrl(textCtrl);
		delete wxLog::SetActiveTarget(logWindow);
		mpLogFrm->Show(TRUE);
	#endif
	/*******************************/

	InitWSPP();

	wxTheXmlResource->InitAllHandlers();
    wxTheXmlResource->Load("demo.xrc");

	wxTheXmlResource->LoadWindow( "DemoFrame", TRUE );

    return TRUE;
}