/////////////////////////////////////////////////////////////////////////////
// Name:        xh_mtx_dlg.cpp
// Purpose:     XML resource for dialogs
// Author:      Aleksandras Gluchovas
// Created:     2000/03/05
// RCS-ID:      $Id: xh_mtx_dlg.cpp,v 1.4 2001/07/06 08:26:41 hansvl Exp $
// Copyright:   (c) 2000 Aleksandras Gluchovas
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////
 
#ifdef __GNUG__
    #pragma implementation "xh_mtx_dlg.h"
#endif

// For compilers that support precompilation, includes "wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include "wx/dialog.h"
#include "wx/log.h"
#include "wx/intl.h"

#include "wx/wspp/xh_mtx_dlg.h"
#include "wx/wspp/matrixg.h"

wxMtxDialogXmlHandler::wxMtxDialogXmlHandler() 
	: wxDialogXmlHandler()
{}

wxObject *wxMtxDialogXmlHandler::DoCreateResource()
{ 
	wxDialog* dialog = (wxDialog*)wxDialogXmlHandler::DoCreateResource();

	wxString autos = GetParamValue("autosize");
	new wxMatrixLayoutGuard(dialog, autos.Length() ? autos == "1" : TRUE );

	return dialog;
}

bool wxMtxDialogXmlHandler::CanHandle(wxXmlNode *node)
{
    return IsOfClass(node, wxT("wxMatrixDialog"));
}

