/////////////////////////////////////////////////////////////////////////////
// Name:        absolutelayout.h
// Purpose:     Contrib. demo
// Author:      Aleksandras Gluchovas
// Modified by:
// Created:     2000/01/14
// RCS-ID:      $Id: absolutelayout.h,v 1.3 2001/09/15 08:16:16 hansvl Exp $
// Copyright:   (c) Aleksandras Gluchovas
// Licence:     wxWindows license
/////////////////////////////////////////////////////////////////////////////

#ifndef __ABSOLUTELAYOUT_G__
#define __ABSOLUTELAYOUT_G__

#ifdef __GNUG__
    #pragma interface "absolutelayout.h"
#endif

#include "wx/awtlay/awt_emul.h"

class AbsoluteLayout : public LayoutManager
{
public:

	AbsoluteLayout();
	// impl. of LayoutManager interface

	virtual void addLayoutComponent(String name,
                                    Component* comp );

	virtual void removeLayoutComponent( Component* comp );

	virtual Dimension preferredLayoutSize( Container* parent );

	virtual Dimension minimumLayoutSize( Container* parent );

	virtual void layoutContainer( Container* parent );

};

#endif // __ABSOLUTELAYOUT_G__

