/////////////////////////////////////////////////////////////////////////////
// Name:        No names yet.
// Purpose:     Contrib. demo
// Author:      Aleksandras Gluchovas
// Modified by:
// Created:     2001/03/26
// RCS-ID:      $Id: layoutalg.h,v 1.1 2001/04/04 12:22:14 aleksandras Exp $
// Copyright:   (c) Aleksandras Gluchovas
// Licence:   	GPL (version 2.0 or later)
/////////////////////////////////////////////////////////////////////////////

#ifndef __INF_LAYOUTALG_G__
#define __INF_LAYOUTALG_G__

#include "wx/pmf/pm_doc.h"

/*
 * Interface for call classes implementing concrete algorithm
 * for layouting top-level wxPMPane objects within main window
 */

class I_PMPaneLayoutAlgorithm
{
public:
	virtual wxPMLayoutPreference* CreateDefaultLayoutPrefs() = 0;
};

#endif // __INF_LAYOUTALG_G__