
//
// 2000 (C) Aleksandras Gluchovas [alex@soften.ktu.lt]
//

#declare R = .07


union
{
//	#if ( mUSE_SIMPLE_BOX = 1 )
//	box
//	{
//		<0,0,0>
//		<1,1,1>
//	}
//	#else
		sphere { <R,R,R>, R }
		sphere { <1-R,R,R>, R }
		sphere { <1-R,1-R,R>, R }
		sphere { <R,1-R,R>, R }

		sphere { <R,R,1-R>, R }
		sphere { <1-R,R,1-R>, R }
		sphere { <1-R,1-R,1-R>, R }
		sphere { <R,1-R,1-R>, R }

		cylinder { <R,R,R>, <1-R,R,R>, R }
		cylinder { <1-R,R,R>, <1-R,1-R,R>, R }
		cylinder { <1-R,1-R,R>, <R,1-R,R>, R }
		cylinder { <R,1-R,R>, <R,R,R>, R }

		cylinder { <R,R,1-R>, <1-R,R,1-R>, R }
		cylinder { <1-R,R,1-R>, <1-R,1-R,1-R>, R }
		cylinder { <1-R,1-R,1-R>, <R,1-R,1-R>, R }
		cylinder { <R,1-R,1-R>, <R,R,1-R>, R }

		cylinder { <R,R,R>, <R,R,1-R>, R }
		cylinder { <R,1-R,R>, <R,1-R,1-R>, R }

		cylinder { <1-R,R,R>, <1-R,R,1-R>, R }
		cylinder { <1-R,1-R,R>, <1-R,1-R,1-R>, R }

		box { <R,R,0> <1-R,1-R,0> }
		box { <R,0,R> <1-R,0,1-R> }

		box { <1,R,R> <1,1-R,1-R> }

		box { <R,R,1> <1-R,1-R,1> }
		box { <R,1,R> <1-R,1,1-R> }

		box { <0,R,R> <0,1-R,1-R> }

//	#end

	object{
		text { ttf TEXT_FONT CH_1 0.2, 0 pigment { Black } }
		scale TXT_SCALE
		translate <TXT_OFS_X, TXT_OFS_Y,0>
	}

	object{
		text { ttf TEXT_FONT CH_2 0.2, 0 pigment { Black } }
		scale TXT_SCALE
		translate <TXT_OFS_X, TXT_OFS_Y,0>
		rotate y*90
		translate z*1
	}

	object{
		text { ttf TEXT_FONT CH_3 0.2, 0 pigment { Black } }
		scale TXT_SCALE
		translate <TXT_OFS_X, TXT_OFS_Y,0>
		rotate y*90
		translate z*1
		rotate z*-90
		translate y*1
	}

	scale 1-2*GAP_SIZE
	translate <GAP_SIZE,GAP_SIZE,GAP_SIZE>
}
