/////////////////////////////////////////////////////////////////////////////
// Name:        No names yet.
// Purpose:     Contrib. demo
// Author:      Aleksandras Gluchovas
// Modified by:
// Created:     
// RCS-ID:      $Id: XCellBackground.h,v 1.3 2001/06/23 22:18:56 hansvl Exp $
// Copyright:   (c) Aleksandras Gluchovas
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#ifndef __XCELLBACKGROUND_G__
#define __XCELLBACKGROUND_G__

#ifdef __GNUG__
    #pragma interface "XCellBackground.h"
#endif

///////////////////////////////////////////////
//											 //
// All files in this framework are Copyright //
// of Aleksandras Gluchovas 				 //
// 											 //
// e-mail: alex@soften.ktu.lt                //
//											 //
///////////////////////////////////////////////
	  
#include "XObject.h"

class XCellBackground : public XObject
{
protected:
	wxBrush mBkBrush;
	wxPen   mDarkPen;
	wxPen   mLightPen;
	PosT    mSize;
	bool    mShowMinor;
	bool    mShowRulers;

	void DrawHashes( wxDC& canvas, XPoint& from, XRect& bounds );

public:

	// NOTE:: cell size should be an integer

	XCellBackground( const wxColour& bkColor        = wxColour(   0,  0,  0 ),
		             const wxColour& majorLineColor = wxColour(   0,  0,  0 ),
					 const wxColour& minorLineColor = wxColour( 160,160,160 ),
					 PosT   cellSize       = 25,
					 bool   showMinorLines = 1,
					 bool   showRulers     = 1
				   );

	virtual void Draw( wxDC& canvas );

	XRect GetBounds();
};

#endif /* __XCELLBACKGROUND_G__ */

