/////////////////////////////////////////////////////////////////////////////
// Name:        xh_mtx_panel.h
// Purpose:     XML resource handler for panels with Matrix-Layout enhancer
// Author:      Aleksandras Gluchovas
// Created:     2000/03/05
// RCS-ID:      $Id: xh_mtx_panel.h,v 1.3 2001/08/12 13:39:13 georgetasker Exp $
// Copyright:   (c) 2000 Aleksandras Gluchovas
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#ifndef _WX_XH_MTX_PANEL_H_
#define _WX_XH_MTX_PANEL_H_

#ifdef __GNUG__
    #pragma interface "xh_mtx_panel.h"
#endif

#include "wx/xrc/xmlres.h"
#include "wx/xrc/xh_panel.h"

class WXDLLEXPORT wxMtxPanelXmlHandler : public wxPanelXmlHandler
{
    public:
        wxMtxPanelXmlHandler();
        virtual wxObject *DoCreateResource();
        virtual bool CanHandle(wxXmlNode *node);
};

#endif /* _WX_XH_MTX_PANEL_H_ */

